> For the complete documentation index, see [llms.txt](https://docs.cortex.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cortex.io/api/readme/entity-relationship-types.md).

# Entity Relationship Types

Use these operations to interact with [entity relationship types](/ingesting-data-into-cortex/entities-overview/entities/defining-relationship-types.md) in Cortex.

### Required permissions

Create and Update Relationship Types: Your API key must have the `Edit entities` permission.\
Your tenant must also have the `Entity relationships` feature enabled.

### Operations

## List relationship types

> List paginated relationship types

```json
{"openapi":"3.0.1","info":{"title":"Cortex API","version":"v1"},"tags":[{"name":"Entity Relationship Types"}],"servers":[{"url":"https://api.getcortexapp.com","description":"Cortex Cloud API host"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"bearerFormat":"JWT","description":"All requests to the Cortex API need to provide an `Authorization: Bearer <token>` header, where `<token>` is an API key created in the Settings page of your workspace.","scheme":"bearer","type":"http"}},"schemas":{"PaginatedEntityRelationshipTypeResponse":{"required":["page","relationshipTypes","total","totalPages"],"type":"object","properties":{"page":{"type":"integer","description":"Current page number, 0-indexed","format":"int32"},"relationshipTypes":{"type":"array","items":{"$ref":"#/components/schemas/EntityRelationshipTypeResponse"}},"total":{"type":"integer","description":"Total number of results","format":"int32"},"totalPages":{"type":"integer","description":"Total number of pages","format":"int32"}}},"EntityRelationshipTypeResponse":{"required":["allowCycles","definitionLocation","destinationsFilter","inheritances","isCortexManaged","isSingleDestination","isSingleSource","name","sourcesFilter","tag"],"type":"object","properties":{"allowCycles":{"type":"boolean","description":"Whether cyclical relationships are allowed"},"definitionLocation":{"type":"string","description":"Defines where a relationship can be configured in entity descriptors","enum":["SOURCE","DESTINATION","BOTH"]},"description":{"type":"string","description":"Optional description explaining the relationship type"},"destinationLabelPlural":{"type":"string","description":"Plural label for destinations in the relationship"},"destinationLabelSingular":{"type":"string","description":"Singular label for destinations in the relationship"},"destinationNamePlural":{"type":"string"},"destinationNameSingular":{"type":"string"},"destinationsFilter":{"$ref":"#/components/schemas/EntityTypeFilter"},"inheritances":{"type":"array","description":"Inheritance configuration for Cortex parameters. Currently supports ownership inheritance via x-cortex-owners.","items":{"$ref":"#/components/schemas/EntityRelationshipTypeInheritanceView"}},"isCortexManaged":{"type":"boolean","description":"Whether this relationship type is managed by Cortex"},"isSingleDestination":{"type":"boolean","description":"Whether an entity can have only one destination for this relationship type"},"isSingleSource":{"type":"boolean","description":"Whether an entity can have only one source for this relationship type"},"name":{"type":"string","description":"Human-readable name for the relationship type"},"sourceLabelPlural":{"type":"string","description":"Plural label for sources in the relationship"},"sourceLabelSingular":{"type":"string","description":"Singular label for sources in the relationship"},"sourceNamePlural":{"type":"string"},"sourceNameSingular":{"type":"string"},"sourcesFilter":{"$ref":"#/components/schemas/EntityTypeFilter"},"tag":{"type":"string","description":"Unique identifier tag for the relationship type"}},"description":"Response containing relationship type details"},"EntityTypeFilter":{"required":["include","providers","types"],"type":"object","properties":{"include":{"type":"boolean"},"providers":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["AWS","GCP","AZURE"]}},"types":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}},"EntityRelationshipTypeInheritanceView":{"required":["inheritanceType","parameterTag"],"type":"object","properties":{"inheritanceType":{"type":"string","description":"How relationship inheritance should be handled for this parameter","enum":["NONE","FALLBACK","APPEND","CONFIGURE_AT_SOURCE"]},"parameterTag":{"type":"string"}},"description":"Inheritance configuration for Cortex parameters. Currently supports ownership inheritance via x-cortex-owners."},"TooManyRequestsProblemDetail":{"required":["type","title","status"],"type":"object","properties":{"detail":{"type":"string"},"instance":{"type":"string","format":"uri-reference"},"retryAfter":{"minimum":0,"type":"integer","description":"The number of seconds until the rate limiting resets.","format":"int32"},"status":{"maximum":599,"minimum":100,"type":"integer","format":"int32","enum":[429]},"title":{"type":"string"},"type":{"type":"string","format":"uri-reference"}}}},"responses":{"TooManyRequests":{"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/TooManyRequestsProblemDetail"}}},"description":"The client has exceeded the rate limit by performing too many requests in a short period. Retry the request after a delay.","headers":{"Retry-After":{"description":"The number of seconds until the rate limiting resets.","schema":{"minimum":0,"type":"integer","format":"int32"}}}}}},"paths":{"/api/v1/relationship-types":{"get":{"description":"List paginated relationship types","operationId":"listRelationshipTypes","parameters":[{"description":"Number of results to return per page, between 1 and 1000. Default 250.","in":"query","name":"pageSize","required":true,"schema":{"type":"integer","format":"int32","default":250}},{"description":"Page number to return, 0-indexed. Default 0.","in":"query","name":"page","required":true,"schema":{"type":"integer","format":"int32","default":0}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEntityRelationshipTypeResponse"}}},"description":"Successfully found entity relationship types"},"429":{"$ref":"#/components/responses/TooManyRequests"}},"summary":"List relationship types","tags":["Entity Relationship Types"]}}}}
```

## Create relationship type

> Create a relationship type

```json
{"openapi":"3.0.1","info":{"title":"Cortex API","version":"v1"},"tags":[{"name":"Entity Relationship Types"}],"servers":[{"url":"https://api.getcortexapp.com","description":"Cortex Cloud API host"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"bearerFormat":"JWT","description":"All requests to the Cortex API need to provide an `Authorization: Bearer <token>` header, where `<token>` is an API key created in the Settings page of your workspace.","scheme":"bearer","type":"http"}},"schemas":{"EntityRelationshipTypeRequest":{"required":["allowCycles","createCatalog","definitionLocation","destinationsFilter","inheritances","isSingleDestination","isSingleSource","name","sourcesFilter","tag"],"type":"object","properties":{"allowCycles":{"type":"boolean","description":"Whether cyclical relationships are allowed"},"createCatalog":{"type":"boolean","description":"Whether to create a catalog page for this relationship type"},"definitionLocation":{"type":"string","description":"Defines where a relationship can be configured in entity descriptors","enum":["SOURCE","DESTINATION","BOTH"]},"description":{"type":"string","description":"Optional description explaining the relationship type"},"destinationLabelPlural":{"type":"string","description":"Plural label for destinations in the relationship"},"destinationLabelSingular":{"type":"string","description":"Singular label for destinations in the relationship"},"destinationsFilter":{"$ref":"#/components/schemas/EntityTypeFilter"},"inheritances":{"type":"array","description":"Inheritance configuration for Cortex parameters. Currently supports ownership inheritance via x-cortex-owners.","items":{"$ref":"#/components/schemas/EntityRelationshipTypeInheritanceView"}},"isSingleDestination":{"type":"boolean","description":"Whether an entity can have only one destination for this relationship type"},"isSingleSource":{"type":"boolean","description":"Whether an entity can have only one source for this relationship type"},"name":{"type":"string","description":"Human-readable name for the relationship type"},"sourceLabelPlural":{"type":"string","description":"Plural label for sources in the relationship"},"sourceLabelSingular":{"type":"string","description":"Singular label for sources in the relationship"},"sourcesFilter":{"$ref":"#/components/schemas/EntityTypeFilter"},"tag":{"type":"string","description":"Unique identifier tag for the relationship type"}},"description":"Request to create or update a relationship type"},"EntityTypeFilter":{"required":["include","providers","types"],"type":"object","properties":{"include":{"type":"boolean"},"providers":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["AWS","GCP","AZURE"]}},"types":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}},"EntityRelationshipTypeInheritanceView":{"required":["inheritanceType","parameterTag"],"type":"object","properties":{"inheritanceType":{"type":"string","description":"How relationship inheritance should be handled for this parameter","enum":["NONE","FALLBACK","APPEND","CONFIGURE_AT_SOURCE"]},"parameterTag":{"type":"string"}},"description":"Inheritance configuration for Cortex parameters. Currently supports ownership inheritance via x-cortex-owners."},"EntityRelationshipTypeResponse":{"required":["allowCycles","definitionLocation","destinationsFilter","inheritances","isCortexManaged","isSingleDestination","isSingleSource","name","sourcesFilter","tag"],"type":"object","properties":{"allowCycles":{"type":"boolean","description":"Whether cyclical relationships are allowed"},"definitionLocation":{"type":"string","description":"Defines where a relationship can be configured in entity descriptors","enum":["SOURCE","DESTINATION","BOTH"]},"description":{"type":"string","description":"Optional description explaining the relationship type"},"destinationLabelPlural":{"type":"string","description":"Plural label for destinations in the relationship"},"destinationLabelSingular":{"type":"string","description":"Singular label for destinations in the relationship"},"destinationNamePlural":{"type":"string"},"destinationNameSingular":{"type":"string"},"destinationsFilter":{"$ref":"#/components/schemas/EntityTypeFilter"},"inheritances":{"type":"array","description":"Inheritance configuration for Cortex parameters. Currently supports ownership inheritance via x-cortex-owners.","items":{"$ref":"#/components/schemas/EntityRelationshipTypeInheritanceView"}},"isCortexManaged":{"type":"boolean","description":"Whether this relationship type is managed by Cortex"},"isSingleDestination":{"type":"boolean","description":"Whether an entity can have only one destination for this relationship type"},"isSingleSource":{"type":"boolean","description":"Whether an entity can have only one source for this relationship type"},"name":{"type":"string","description":"Human-readable name for the relationship type"},"sourceLabelPlural":{"type":"string","description":"Plural label for sources in the relationship"},"sourceLabelSingular":{"type":"string","description":"Singular label for sources in the relationship"},"sourceNamePlural":{"type":"string"},"sourceNameSingular":{"type":"string"},"sourcesFilter":{"$ref":"#/components/schemas/EntityTypeFilter"},"tag":{"type":"string","description":"Unique identifier tag for the relationship type"}},"description":"Response containing relationship type details"},"ErrorResponse":{"required":["message","type"],"type":"object","properties":{"details":{"type":"string"},"errorCode":{"type":"string"},"gatewayHttpStatus":{"type":"integer","format":"int32"},"httpStatus":{"type":"integer","format":"int32"},"message":{"type":"string"},"requestId":{"type":"string"},"type":{"type":"string","enum":["INTEGRATION_MISSING","INTEGRATION_UNREGISTERED","INTEGRATION_UNSUPPORTED","INTEGRATION_GRAPHQL_ERROR","INTEGRATION_BAD_REQUEST","INTEGRATION_UNAUTHORIZED","INTEGRATION_FORBIDDEN","INTEGRATION_NOT_FOUND","INTEGRATION_UNPROCESSABLE_CONTENT","INTEGRATION_RATE_LIMITED","INTEGRATION_INTERNAL_ERROR","INTEGRATION_NOT_IMPLEMENTED","INTEGRATION_BAD_GATEWAY","INTEGRATION_UNAVAILABLE","INTEGRATION_GATEWAY_TIMEOUT","INTEGRATION_TIMED_OUT","INTEGRATION_CACHE_ERROR","INTEGRATION_UNHANDLED_HTTP_ERROR","INTEGRATION_UNHANDLED_EXCEPTION","INTEGRATION_UNEXPECTED_ERROR","ILLEGAL_ARGUMENT_ERROR","BAD_REQUEST","FORBIDDEN","NOT_FOUND","REQUEST_TIMEOUT","CONFLICT","UNHANDLED_EXCEPTION","UNCATEGORIZED","SERVICE_CREATOR","UNKNOWN_HOST","TOO_MANY_REQUESTS"]}}},"TooManyRequestsProblemDetail":{"required":["type","title","status"],"type":"object","properties":{"detail":{"type":"string"},"instance":{"type":"string","format":"uri-reference"},"retryAfter":{"minimum":0,"type":"integer","description":"The number of seconds until the rate limiting resets.","format":"int32"},"status":{"maximum":599,"minimum":100,"type":"integer","format":"int32","enum":[429]},"title":{"type":"string"},"type":{"type":"string","format":"uri-reference"}}}},"responses":{"TooManyRequests":{"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/TooManyRequestsProblemDetail"}}},"description":"The client has exceeded the rate limit by performing too many requests in a short period. Retry the request after a delay.","headers":{"Retry-After":{"description":"The number of seconds until the rate limiting resets.","schema":{"minimum":0,"type":"integer","format":"int32"}}}}}},"paths":{"/api/v1/relationship-types":{"post":{"description":"Create a relationship type","operationId":"createRelationshipType","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityRelationshipTypeRequest"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityRelationshipTypeResponse"}}},"description":"Successfully created relationship type"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Validation error creating relationship type"},"429":{"$ref":"#/components/responses/TooManyRequests"}},"summary":"Create relationship type","tags":["Entity Relationship Types"]}}}}
```

## Get a relationship type

> List details for a relationship type

```json
{"openapi":"3.0.1","info":{"title":"Cortex API","version":"v1"},"tags":[{"name":"Entity Relationship Types"}],"servers":[{"url":"https://api.getcortexapp.com","description":"Cortex Cloud API host"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"bearerFormat":"JWT","description":"All requests to the Cortex API need to provide an `Authorization: Bearer <token>` header, where `<token>` is an API key created in the Settings page of your workspace.","scheme":"bearer","type":"http"}},"schemas":{"EntityRelationshipTypeResponse":{"required":["allowCycles","definitionLocation","destinationsFilter","inheritances","isCortexManaged","isSingleDestination","isSingleSource","name","sourcesFilter","tag"],"type":"object","properties":{"allowCycles":{"type":"boolean","description":"Whether cyclical relationships are allowed"},"definitionLocation":{"type":"string","description":"Defines where a relationship can be configured in entity descriptors","enum":["SOURCE","DESTINATION","BOTH"]},"description":{"type":"string","description":"Optional description explaining the relationship type"},"destinationLabelPlural":{"type":"string","description":"Plural label for destinations in the relationship"},"destinationLabelSingular":{"type":"string","description":"Singular label for destinations in the relationship"},"destinationNamePlural":{"type":"string"},"destinationNameSingular":{"type":"string"},"destinationsFilter":{"$ref":"#/components/schemas/EntityTypeFilter"},"inheritances":{"type":"array","description":"Inheritance configuration for Cortex parameters. Currently supports ownership inheritance via x-cortex-owners.","items":{"$ref":"#/components/schemas/EntityRelationshipTypeInheritanceView"}},"isCortexManaged":{"type":"boolean","description":"Whether this relationship type is managed by Cortex"},"isSingleDestination":{"type":"boolean","description":"Whether an entity can have only one destination for this relationship type"},"isSingleSource":{"type":"boolean","description":"Whether an entity can have only one source for this relationship type"},"name":{"type":"string","description":"Human-readable name for the relationship type"},"sourceLabelPlural":{"type":"string","description":"Plural label for sources in the relationship"},"sourceLabelSingular":{"type":"string","description":"Singular label for sources in the relationship"},"sourceNamePlural":{"type":"string"},"sourceNameSingular":{"type":"string"},"sourcesFilter":{"$ref":"#/components/schemas/EntityTypeFilter"},"tag":{"type":"string","description":"Unique identifier tag for the relationship type"}},"description":"Response containing relationship type details"},"EntityTypeFilter":{"required":["include","providers","types"],"type":"object","properties":{"include":{"type":"boolean"},"providers":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["AWS","GCP","AZURE"]}},"types":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}},"EntityRelationshipTypeInheritanceView":{"required":["inheritanceType","parameterTag"],"type":"object","properties":{"inheritanceType":{"type":"string","description":"How relationship inheritance should be handled for this parameter","enum":["NONE","FALLBACK","APPEND","CONFIGURE_AT_SOURCE"]},"parameterTag":{"type":"string"}},"description":"Inheritance configuration for Cortex parameters. Currently supports ownership inheritance via x-cortex-owners."},"ErrorResponse":{"required":["message","type"],"type":"object","properties":{"details":{"type":"string"},"errorCode":{"type":"string"},"gatewayHttpStatus":{"type":"integer","format":"int32"},"httpStatus":{"type":"integer","format":"int32"},"message":{"type":"string"},"requestId":{"type":"string"},"type":{"type":"string","enum":["INTEGRATION_MISSING","INTEGRATION_UNREGISTERED","INTEGRATION_UNSUPPORTED","INTEGRATION_GRAPHQL_ERROR","INTEGRATION_BAD_REQUEST","INTEGRATION_UNAUTHORIZED","INTEGRATION_FORBIDDEN","INTEGRATION_NOT_FOUND","INTEGRATION_UNPROCESSABLE_CONTENT","INTEGRATION_RATE_LIMITED","INTEGRATION_INTERNAL_ERROR","INTEGRATION_NOT_IMPLEMENTED","INTEGRATION_BAD_GATEWAY","INTEGRATION_UNAVAILABLE","INTEGRATION_GATEWAY_TIMEOUT","INTEGRATION_TIMED_OUT","INTEGRATION_CACHE_ERROR","INTEGRATION_UNHANDLED_HTTP_ERROR","INTEGRATION_UNHANDLED_EXCEPTION","INTEGRATION_UNEXPECTED_ERROR","ILLEGAL_ARGUMENT_ERROR","BAD_REQUEST","FORBIDDEN","NOT_FOUND","REQUEST_TIMEOUT","CONFLICT","UNHANDLED_EXCEPTION","UNCATEGORIZED","SERVICE_CREATOR","UNKNOWN_HOST","TOO_MANY_REQUESTS"]}}},"TooManyRequestsProblemDetail":{"required":["type","title","status"],"type":"object","properties":{"detail":{"type":"string"},"instance":{"type":"string","format":"uri-reference"},"retryAfter":{"minimum":0,"type":"integer","description":"The number of seconds until the rate limiting resets.","format":"int32"},"status":{"maximum":599,"minimum":100,"type":"integer","format":"int32","enum":[429]},"title":{"type":"string"},"type":{"type":"string","format":"uri-reference"}}}},"responses":{"TooManyRequests":{"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/TooManyRequestsProblemDetail"}}},"description":"The client has exceeded the rate limit by performing too many requests in a short period. Retry the request after a delay.","headers":{"Retry-After":{"description":"The number of seconds until the rate limiting resets.","schema":{"minimum":0,"type":"integer","format":"int32"}}}}}},"paths":{"/api/v1/relationship-types/{relationshipTypeTag}":{"get":{"description":"List details for a relationship type","operationId":"getRelationshipTypeDetails","parameters":[{"in":"path","name":"relationshipTypeTag","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityRelationshipTypeResponse"}}},"description":"Successfully found relationship type"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Relationship type not found"},"429":{"$ref":"#/components/responses/TooManyRequests"}},"summary":"Get a relationship type","tags":["Entity Relationship Types"]}}}}
```

## Update relationship type

> Update relationship type

```json
{"openapi":"3.0.1","info":{"title":"Cortex API","version":"v1"},"tags":[{"name":"Entity Relationship Types"}],"servers":[{"url":"https://api.getcortexapp.com","description":"Cortex Cloud API host"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"bearerFormat":"JWT","description":"All requests to the Cortex API need to provide an `Authorization: Bearer <token>` header, where `<token>` is an API key created in the Settings page of your workspace.","scheme":"bearer","type":"http"}},"schemas":{"EntityRelationshipTypeRequest":{"required":["allowCycles","createCatalog","definitionLocation","destinationsFilter","inheritances","isSingleDestination","isSingleSource","name","sourcesFilter","tag"],"type":"object","properties":{"allowCycles":{"type":"boolean","description":"Whether cyclical relationships are allowed"},"createCatalog":{"type":"boolean","description":"Whether to create a catalog page for this relationship type"},"definitionLocation":{"type":"string","description":"Defines where a relationship can be configured in entity descriptors","enum":["SOURCE","DESTINATION","BOTH"]},"description":{"type":"string","description":"Optional description explaining the relationship type"},"destinationLabelPlural":{"type":"string","description":"Plural label for destinations in the relationship"},"destinationLabelSingular":{"type":"string","description":"Singular label for destinations in the relationship"},"destinationsFilter":{"$ref":"#/components/schemas/EntityTypeFilter"},"inheritances":{"type":"array","description":"Inheritance configuration for Cortex parameters. Currently supports ownership inheritance via x-cortex-owners.","items":{"$ref":"#/components/schemas/EntityRelationshipTypeInheritanceView"}},"isSingleDestination":{"type":"boolean","description":"Whether an entity can have only one destination for this relationship type"},"isSingleSource":{"type":"boolean","description":"Whether an entity can have only one source for this relationship type"},"name":{"type":"string","description":"Human-readable name for the relationship type"},"sourceLabelPlural":{"type":"string","description":"Plural label for sources in the relationship"},"sourceLabelSingular":{"type":"string","description":"Singular label for sources in the relationship"},"sourcesFilter":{"$ref":"#/components/schemas/EntityTypeFilter"},"tag":{"type":"string","description":"Unique identifier tag for the relationship type"}},"description":"Request to create or update a relationship type"},"EntityTypeFilter":{"required":["include","providers","types"],"type":"object","properties":{"include":{"type":"boolean"},"providers":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["AWS","GCP","AZURE"]}},"types":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}},"EntityRelationshipTypeInheritanceView":{"required":["inheritanceType","parameterTag"],"type":"object","properties":{"inheritanceType":{"type":"string","description":"How relationship inheritance should be handled for this parameter","enum":["NONE","FALLBACK","APPEND","CONFIGURE_AT_SOURCE"]},"parameterTag":{"type":"string"}},"description":"Inheritance configuration for Cortex parameters. Currently supports ownership inheritance via x-cortex-owners."},"EntityRelationshipTypeResponse":{"required":["allowCycles","definitionLocation","destinationsFilter","inheritances","isCortexManaged","isSingleDestination","isSingleSource","name","sourcesFilter","tag"],"type":"object","properties":{"allowCycles":{"type":"boolean","description":"Whether cyclical relationships are allowed"},"definitionLocation":{"type":"string","description":"Defines where a relationship can be configured in entity descriptors","enum":["SOURCE","DESTINATION","BOTH"]},"description":{"type":"string","description":"Optional description explaining the relationship type"},"destinationLabelPlural":{"type":"string","description":"Plural label for destinations in the relationship"},"destinationLabelSingular":{"type":"string","description":"Singular label for destinations in the relationship"},"destinationNamePlural":{"type":"string"},"destinationNameSingular":{"type":"string"},"destinationsFilter":{"$ref":"#/components/schemas/EntityTypeFilter"},"inheritances":{"type":"array","description":"Inheritance configuration for Cortex parameters. Currently supports ownership inheritance via x-cortex-owners.","items":{"$ref":"#/components/schemas/EntityRelationshipTypeInheritanceView"}},"isCortexManaged":{"type":"boolean","description":"Whether this relationship type is managed by Cortex"},"isSingleDestination":{"type":"boolean","description":"Whether an entity can have only one destination for this relationship type"},"isSingleSource":{"type":"boolean","description":"Whether an entity can have only one source for this relationship type"},"name":{"type":"string","description":"Human-readable name for the relationship type"},"sourceLabelPlural":{"type":"string","description":"Plural label for sources in the relationship"},"sourceLabelSingular":{"type":"string","description":"Singular label for sources in the relationship"},"sourceNamePlural":{"type":"string"},"sourceNameSingular":{"type":"string"},"sourcesFilter":{"$ref":"#/components/schemas/EntityTypeFilter"},"tag":{"type":"string","description":"Unique identifier tag for the relationship type"}},"description":"Response containing relationship type details"},"ErrorResponse":{"required":["message","type"],"type":"object","properties":{"details":{"type":"string"},"errorCode":{"type":"string"},"gatewayHttpStatus":{"type":"integer","format":"int32"},"httpStatus":{"type":"integer","format":"int32"},"message":{"type":"string"},"requestId":{"type":"string"},"type":{"type":"string","enum":["INTEGRATION_MISSING","INTEGRATION_UNREGISTERED","INTEGRATION_UNSUPPORTED","INTEGRATION_GRAPHQL_ERROR","INTEGRATION_BAD_REQUEST","INTEGRATION_UNAUTHORIZED","INTEGRATION_FORBIDDEN","INTEGRATION_NOT_FOUND","INTEGRATION_UNPROCESSABLE_CONTENT","INTEGRATION_RATE_LIMITED","INTEGRATION_INTERNAL_ERROR","INTEGRATION_NOT_IMPLEMENTED","INTEGRATION_BAD_GATEWAY","INTEGRATION_UNAVAILABLE","INTEGRATION_GATEWAY_TIMEOUT","INTEGRATION_TIMED_OUT","INTEGRATION_CACHE_ERROR","INTEGRATION_UNHANDLED_HTTP_ERROR","INTEGRATION_UNHANDLED_EXCEPTION","INTEGRATION_UNEXPECTED_ERROR","ILLEGAL_ARGUMENT_ERROR","BAD_REQUEST","FORBIDDEN","NOT_FOUND","REQUEST_TIMEOUT","CONFLICT","UNHANDLED_EXCEPTION","UNCATEGORIZED","SERVICE_CREATOR","UNKNOWN_HOST","TOO_MANY_REQUESTS"]}}},"TooManyRequestsProblemDetail":{"required":["type","title","status"],"type":"object","properties":{"detail":{"type":"string"},"instance":{"type":"string","format":"uri-reference"},"retryAfter":{"minimum":0,"type":"integer","description":"The number of seconds until the rate limiting resets.","format":"int32"},"status":{"maximum":599,"minimum":100,"type":"integer","format":"int32","enum":[429]},"title":{"type":"string"},"type":{"type":"string","format":"uri-reference"}}}},"responses":{"TooManyRequests":{"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/TooManyRequestsProblemDetail"}}},"description":"The client has exceeded the rate limit by performing too many requests in a short period. Retry the request after a delay.","headers":{"Retry-After":{"description":"The number of seconds until the rate limiting resets.","schema":{"minimum":0,"type":"integer","format":"int32"}}}}}},"paths":{"/api/v1/relationship-types/{relationshipTypeTag}":{"put":{"description":"Update relationship type","operationId":"updateRelationshipType","parameters":[{"in":"path","name":"relationshipTypeTag","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityRelationshipTypeRequest"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityRelationshipTypeResponse"}}},"description":"Successfully updated relationship type"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Validation error updating relationship type"},"429":{"$ref":"#/components/responses/TooManyRequests"}},"summary":"Update relationship type","tags":["Entity Relationship Types"]}}}}
```

## Delete a relationship type

> Delete a relationship type

```json
{"openapi":"3.0.1","info":{"title":"Cortex API","version":"v1"},"tags":[{"name":"Entity Relationship Types"}],"servers":[{"url":"https://api.getcortexapp.com","description":"Cortex Cloud API host"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"bearerFormat":"JWT","description":"All requests to the Cortex API need to provide an `Authorization: Bearer <token>` header, where `<token>` is an API key created in the Settings page of your workspace.","scheme":"bearer","type":"http"}},"schemas":{"ErrorResponse":{"required":["message","type"],"type":"object","properties":{"details":{"type":"string"},"errorCode":{"type":"string"},"gatewayHttpStatus":{"type":"integer","format":"int32"},"httpStatus":{"type":"integer","format":"int32"},"message":{"type":"string"},"requestId":{"type":"string"},"type":{"type":"string","enum":["INTEGRATION_MISSING","INTEGRATION_UNREGISTERED","INTEGRATION_UNSUPPORTED","INTEGRATION_GRAPHQL_ERROR","INTEGRATION_BAD_REQUEST","INTEGRATION_UNAUTHORIZED","INTEGRATION_FORBIDDEN","INTEGRATION_NOT_FOUND","INTEGRATION_UNPROCESSABLE_CONTENT","INTEGRATION_RATE_LIMITED","INTEGRATION_INTERNAL_ERROR","INTEGRATION_NOT_IMPLEMENTED","INTEGRATION_BAD_GATEWAY","INTEGRATION_UNAVAILABLE","INTEGRATION_GATEWAY_TIMEOUT","INTEGRATION_TIMED_OUT","INTEGRATION_CACHE_ERROR","INTEGRATION_UNHANDLED_HTTP_ERROR","INTEGRATION_UNHANDLED_EXCEPTION","INTEGRATION_UNEXPECTED_ERROR","ILLEGAL_ARGUMENT_ERROR","BAD_REQUEST","FORBIDDEN","NOT_FOUND","REQUEST_TIMEOUT","CONFLICT","UNHANDLED_EXCEPTION","UNCATEGORIZED","SERVICE_CREATOR","UNKNOWN_HOST","TOO_MANY_REQUESTS"]}}},"TooManyRequestsProblemDetail":{"required":["type","title","status"],"type":"object","properties":{"detail":{"type":"string"},"instance":{"type":"string","format":"uri-reference"},"retryAfter":{"minimum":0,"type":"integer","description":"The number of seconds until the rate limiting resets.","format":"int32"},"status":{"maximum":599,"minimum":100,"type":"integer","format":"int32","enum":[429]},"title":{"type":"string"},"type":{"type":"string","format":"uri-reference"}}}},"responses":{"TooManyRequests":{"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/TooManyRequestsProblemDetail"}}},"description":"The client has exceeded the rate limit by performing too many requests in a short period. Retry the request after a delay.","headers":{"Retry-After":{"description":"The number of seconds until the rate limiting resets.","schema":{"minimum":0,"type":"integer","format":"int32"}}}}}},"paths":{"/api/v1/relationship-types/{relationshipTypeTag}":{"delete":{"description":"Delete a relationship type","operationId":"deleteRelationshipType","parameters":[{"in":"path","name":"relationshipTypeTag","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully deleted relationship type"},"204":{"description":"No Content"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Validation error deleting relationship type"},"429":{"$ref":"#/components/responses/TooManyRequests"}},"summary":"Delete a relationship type","tags":["Entity Relationship Types"]}}}}
```
